Summary: Kernel Configuration Tool
Name: kernelcfg
Icon: kernelcfg.gif
Version: 0.5
Release: 3
Copyright: GPL
Group: Utilities/System
Source: kernelcfg-%{PACKAGE_VERSION}.tar.gz
Excludearch: alpha
Requires: pythonlib >= 1.8, python, tkinter, module-info
BuildRoot: /var/tmp/kernelcfg-root
Summary(de): Kernel-Konfigurations-Tool
Summary(fr): Outil de configuration du noyau.
Summary(tr): ekirdek yaplandrma arac

%description
Red Hat Linux kernelcfg provides a GUI interface which allows you to
easily administrate your kerneld configuration.

%description -l de
Red-Hat-Linux-kernelcfg stellt eine GUI-Oberflche zur unkomplizierten 
Administration der kerneld-Konfiguration bereit.

%description -l fr
kernelcfg de Red Hat offre une interface utilisateur graphique vous permettant
d'administrer facilement votre configuration de kerneld.

%description -l tr
RedHat tarafndan gelitirilen bu ara hangi modllerin ykleneceini ve
sisteminizin nelere destek vereceini grafik bir arayz yardmyla
dzenlemenizi salar.

%prep
%setup -q

%build
unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib}

unset DISPLAY || true
###mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/control-panel
###rm -rf /usr/lib/rhs/kernelcfg
export PYTHONPATH=/usr/lib/rhs/python
make DESTDIR=$RPM_BUILD_ROOT install

( cd $RPM_BUILD_ROOT
  mkdir -p ./usr/share/icons
  cp ./usr/lib/rhs/control-panel/kernelcfg.xpm ./usr/share/icons/
  chmod 600 ./etc/X11/wmconfig/kernelcfg
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/kernelcfg
/usr/lib/rhs/kernelcfg
/usr/lib/rhs/control-panel/kernelcfg.init
/usr/lib/rhs/control-panel/kernelcfg.xpm
/usr/share/icons/kernelcfg.xpm
%config(missingok) /etc/X11/wmconfig/kernelcfg

%changelog
* Thu Jun 11 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- needs to understand release numbers on module-info file -- use 
  /lib/preferred for a first try, if that fails, just glob

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- wmconfig only for root
- noarch doesn't go very well with "ExcludeArch: alpha"...

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- no paths allowed in wmconfig files

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- requires tkinter

* Tue Oct 28 1997 Otto Hammersmith <otto@redhat.com>
- fixed icon reference in .init file

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Mon Jun 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Look for /boot/module-info-$(uname -r) as well as /boot/module-info
- Tell the user what went wrong if the file doesn't exist.
